Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTree.CellEditorRemover

    java.lang.Object
      org.jdesktop.swingx.JXTree.CellEditorRemover

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

Enclosing class:
  JXTree

    public class JXTree.CellEditorRemover

extends java.lang.Object
implements java.beans.PropertyChangeListener

This class tracks changes in the keyboard focus state. It is used when the JXTree is editing to determine when to terminate the edit. If focus switches to a component outside of the JXTree, but in the same window, this will terminate editing. The exact terminate behaviour is controlled by the invokeStopEditing property.

See Also:
  `JTree.setInvokesStopCellEditing(boolean)`

Constructor Summary
`JXTree.CellEditorRemover()`

Method Summary
`void` | `propertyChange(java.beans.PropertyChangeEvent ev)`
`void` | `release()` stops listening.
`void` | `updateKeyboardFocusManager()` Updates itself to listen to the current KeyboardFocusManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXTree.CellEditorRemover

    public JXTree.CellEditorRemover()

Method Detail

### updateKeyboardFocusManager

    public void updateKeyboardFocusManager()

  Updates itself to listen to the current KeyboardFocusManager.

### release

    public void release()

  stops listening.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent ev)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.